/* You can add global styles to this file, and also import other style files */
$primary-color: #000
//$primary-bg: pink
$primary-bg-color: lightgray

//body
//  color: $primary-color
//  background: $primary-bg
body
  color: $primary-color
  //background-color: #f6fffe

footer
  display: block

label
  display: inline-block
  max-width: 100%
  margin-bottom: 5px
  //font-weight: 700

input[type=text]
  height: 2rem
  //font-size: 18px

.ff-oldstandard
  font-family: 'Old Standard TT', serif

.fs--1
  text-shadow: 1px 1px 1px #000, -1px -1px 1px #000, -1px 1px 1px #000, 1px -1px 1px #000


.fs--2
  text-shadow: 2px 2px 1px #000,-2px -2px 1px #000,-2px 2px 1px #000,2px -2px 1px #000

.main-container
  max-width: 90%

.icon-no-enriched-text
  font-size: 15rem
  opacity: 0.5


.icon-loading
  animation-duration: 0.8s
  animation-delay: 0s
  animation-iteration-count: infinite


.lh-xl
  line-height: 2.5em


.c-pointer
  cursor: pointer


.browsehappy
  margin: 0.2em 0
  background: #ccc
  color: #000
  padding: 0.2em 0



.btn-image
  background-color: transparent
  border: none


.btn-loaddoc
  margin-top: -0.2em


.btn-debug
  margin-top: 0.5em


textarea
  resize: none


textarea.doc_text
  resize: both

.default-header
  background: radial-gradient(rgba(0, 90, 121, 0.2) 15%, transparent 16%) 0 0, radial-gradient(rgba(0, 90, 121, 0.2) 15%, transparent 16%) 8px 8px, radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 0 1px, radial-gradient(rgba(255,255,255,.1) 15%, transparent 20%) 8px 9px
  background-color: rgba(255, 196, 184, 0.8)
  background-size: 16px 16px
  min-width: 70%

.main-headline
  font-size: 4rem

.body-bg
  background: radial-gradient(1.5em 6.28571em at 1.95em, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.25) 50%, rgba(255, 255, 255, 0.25) 55%, rgba(255, 255, 255, 0) 55%) 0 0, radial-gradient(1.5em 6.28571em at -0.45em, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.25) 50%, rgba(255, 255, 255, 0.25) 55%, rgba(255, 255, 255, 0) 55%) 1.5em 5.5em, radial-gradient(2.3em 4.57143em at 2.99em, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.3) 50%, rgba(255, 255, 255, 0.3) 55%, rgba(255, 255, 255, 0) 55%) 0 0, radial-gradient(2.3em 4.57143em at -0.69em, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.3) 50%, rgba(255, 255, 255, 0.3) 55%, rgba(255, 255, 255, 0) 55%) 2.3em 4em, radial-gradient(3.5em 6.28571em at 4.55em, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.25) 50%, rgba(255, 255, 255, 0.25) 55%, rgba(255, 255, 255, 0) 55%) 0 0, radial-gradient(3.5em 6.28571em at -1.05em, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.25) 50%, rgba(255, 255, 255, 0.25) 55%, rgba(255, 255, 255, 0) 55%) 3.5em 5.5em, radial-gradient(#15ffa5, #00ced1)
  //background-color: mediumspringgreen
  //background-color: mediumvioletred
  background-color: $primary-bg-color
  //background-color: lightpink
  background-size: 1.5em 11em, 1.5em 11em, 2.3em 8em, 2.3em 8em, 3.5em 11em, 3.5em 11em, 100% 100%
  /*background-repeat: repeat;*/
  background-repeat: revert
  position: absolute
  //overflow-y: scroll
  width: 100%
  height: auto !important
  min-height: 100%
  z-index: -10
  //margin-left: -2rem
  //opacity: 0.3

table.rewritten-words
  background-color: white
  border: #cdecff 2px solid
  box-shadow: 0 0 8px 2px rgba( 0, 0, 0, .2 )


.rewritten-words td,
.rewritten-words th
  border: gray solid 1px
  padding: 0.2em
  vertical-align: top


.rewritten-words th
  padding: 0.3em
  background-color: rgba(0, 97, 140, 0.8)
  color: #fff


.rewritten-sentence
  background-color: lemonchiffon

.rewritten-sentence span.rewritten-word
  background-color: lightpink


/* Importing Bootstrap SCSS file. */
@import 'bootstrap/scss/bootstrap'
